# -*- encoding: utf-8 -*-
# stub: google-apis-generator 0.10.0 ruby lib

Gem::Specification.new do |s|
  s.name = "google-apis-generator".freeze
  s.version = "0.10.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/googleapis/google-api-ruby-client/issues", "changelog_uri" => "https://github.com/googleapis/google-api-ruby-client/tree/main/google-apis-generator/CHANGELOG.md", "documentation_uri" => "https://googleapis.dev/ruby/google-apis-generator/v0.10.0", "source_code_uri" => "https://github.com/googleapis/google-api-ruby-client/tree/main/google-apis-generator" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Google LLC".freeze]
  s.date = "2024-07-17"
  s.email = "googleapis-packages@google.com".freeze
  s.executables = ["generate-api".freeze]
  s.files = [".yardopts".freeze, "CHANGELOG.md".freeze, "LICENSE.md".freeze, "OVERVIEW.md".freeze, "bin/generate-api".freeze, "lib/google/apis/generator.rb".freeze, "lib/google/apis/generator/annotator.rb".freeze, "lib/google/apis/generator/helpers.rb".freeze, "lib/google/apis/generator/model.rb".freeze, "lib/google/apis/generator/template.rb".freeze, "lib/google/apis/generator/templates/_class.tmpl".freeze, "lib/google/apis/generator/templates/_method.tmpl".freeze, "lib/google/apis/generator/templates/_representation.tmpl".freeze, "lib/google/apis/generator/templates/_representation_stub.tmpl".freeze, "lib/google/apis/generator/templates/_representation_type.tmpl".freeze, "lib/google/apis/generator/templates/classes.rb.tmpl".freeze, "lib/google/apis/generator/templates/dot-rspec.tmpl".freeze, "lib/google/apis/generator/templates/dot-yardopts.tmpl".freeze, "lib/google/apis/generator/templates/entry-point.rb.tmpl".freeze, "lib/google/apis/generator/templates/gemfile.tmpl".freeze, "lib/google/apis/generator/templates/gemspec.tmpl".freeze, "lib/google/apis/generator/templates/generated_spec.rb.tmpl".freeze, "lib/google/apis/generator/templates/initial-changelog.md.tmpl".freeze, "lib/google/apis/generator/templates/initial-gem_version.rb.tmpl".freeze, "lib/google/apis/generator/templates/license.md.tmpl".freeze, "lib/google/apis/generator/templates/module.rb.tmpl".freeze, "lib/google/apis/generator/templates/overview.md.tmpl".freeze, "lib/google/apis/generator/templates/rakefile.tmpl".freeze, "lib/google/apis/generator/templates/repo-metadata.json.tmpl".freeze, "lib/google/apis/generator/templates/representations.rb.tmpl".freeze, "lib/google/apis/generator/templates/service.rb.tmpl".freeze, "lib/google/apis/generator/updater.rb".freeze, "lib/google/apis/generator/version.rb".freeze]
  s.homepage = "https://github.com/google/google-api-ruby-client".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.5".freeze)
  s.rubygems_version = "3.3.26".freeze
  s.summary = "Code generator for legacy Google REST clients".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<activesupport>.freeze, [">= 5.0"])
    s.add_runtime_dependency(%q<gems>.freeze, ["~> 1.2"])
    s.add_runtime_dependency(%q<google-apis-core>.freeze, [">= 0.9.0", "< 2.a"])
    s.add_runtime_dependency(%q<google-apis-discovery_v1>.freeze, ["~> 0.5"])
    s.add_runtime_dependency(%q<thor>.freeze, [">= 0.20", "< 2.a"])
  else
    s.add_dependency(%q<activesupport>.freeze, [">= 5.0"])
    s.add_dependency(%q<gems>.freeze, ["~> 1.2"])
    s.add_dependency(%q<google-apis-core>.freeze, [">= 0.9.0", "< 2.a"])
    s.add_dependency(%q<google-apis-discovery_v1>.freeze, ["~> 0.5"])
    s.add_dependency(%q<thor>.freeze, [">= 0.20", "< 2.a"])
  end
end
